package pep;

/**This Attention class controls the attentional system.*/
public class Attention {
 /**deflection of attention*/ private double deflect;
 /**subject number*/          public int subj;

 /**Creates a new Attention node.
  * @param subject Subject number used for static variable array.*/
 public Attention(int subject){
  subj=subject;
  deflect = 0;
 }

 /**Adjusts the distracter signal strength randomly (can be lesioned).
  * @param dSigTrend Current value of signal.
  * @param dSignal Baseline value of signal.
  * @param random A random adjustment.
  * @return New signal strength.*/
 public double wander(double dSigTrend,double dSignal,double random){
  // <--insert asterisk between slashes to lesion attentional wandering
  //compute change in deflection
  deflect = deflect*.95+random*.05;
  //compute new distracter signal
  dSigTrend = (dSigTrend*.9) + (dSignal*.1) + deflect;//*/
  return dSigTrend;
 }
}